solution "meshio"
configurations { "Debug", "Release" }

configuration "Debug"
do
    targetdir "../debug"
    flags { "Symbols" }
    buildoptions { "-g", "-Wall" }
    defines { "DEBUG" }
    linkoptions { "-g" }
end

configuration "Release"
do
    targetdir "../release"
    flags { "Optimize" }
    defines { "NDEBUG" }
end


-- A project defines one build target
project "meshio"
--kind "WindowedApp"
--kind "ConsoleApp"
--kind "SharedLib"
kind "StaticLib"

language "C++"
files { "*.h", "*.cpp" }
flags {
    "StaticRuntime",
}
includedirs {
}
defines {}
linkoptions {}
libdirs {}
links {}

configuration { "windows", "not gmake" }
do
    -- VC
    buildoptions {
        "/wd4996",
    }
end

configuration { "gmake" }
do
    buildoptions {
        "-std=c++0x",
    }
end

